Search

WorkDrive allows its users to search for files and folders using the file name, the folder name, the author's name, or a keyword inside the content of a file.

It is also possible to apply filters to narrow down the search results further.

Download Search OpenAPI Document
Download






Search Records

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

Searches for data in WorkDrive based on the specified search scope. Depending on the query parameters, the search can be performed across all teams, a selected team folder, a selected folder, the user's My Folders, the "Shared with Me" section, or data templates associated with files.

Endpoints

OAuth Scope

ZohoSearch.securesearch.READWorkDrive.team.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url 'https://www.zohoapis.com/workdrive/api/v1/teams/{team_id}/records?search%5Ball%5D={query}' \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

team_idstring(Required)

The unique ID of the team.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

search[all]string(Required)

all: Search using all the criteria.

search[name]string(Optional)

name: Search for file name alone.

search[content]string(Optional)

content: Search for the content of the file alone.

filter[teamFolder]string(Optional)

To search in a specific team folder.

filter[user]string(Optional)

To search in a specific user's My Folders.

filter[parentId]string(Optional)

To search in a specific folder.

filter[datatemplate]string(Optional)

To search resources associated with a specific data template. data_template_id is present after ':' in the id attribute of data template response.

filter[customFields]string(Optional)

To filter files and folders by adding custom field criteria. Use key for the custom field column name, value for the filter value, and comparator for the condition. Supported comparators are EQ, NEQ, LT, and GT. WorkDrive supports multiple criteria using group_operator with AND or OR.

filter[sharedResources]string(Optional)

To search in the data shared to this user.

filter[creator]string(Optional)

To search resources by its creator.

filter[type]string(Optional)

To search for specific file type.

Allowed Values :
Show Values
allCopied!
allfilesCopied!
documentsCopied!
spreadsheetsCopied!
presentationsCopied!
pdfCopied!
audioCopied!
videoCopied!
imagesCopied!
folderCopied!
mydraftsCopied!
documents_nativeCopied!
spreadsheets_nativeCopied!
presentations_nativeCopied!
documents_non_nativeCopied!
spreadsheets_non_nativeCopied!
presentations_non_nativeCopied!
Copied!Copy all as JSON Array
filter[date]string(Optional)

To search resources by predefined date filter.

Allowed Values :
Show Values
todayCopied!
yesterdayCopied!
last_weekCopied!
last_30_daysCopied!
Copied!Copy all as JSON Array
filter[fromDate]string(Optional)

To search from a particular date. Value must be in Unix timestamp format (milliseconds).

filter[toDate]string(Optional)

To search till a particular date. Value must be in Unix timestamp format (milliseconds).

filter[status]string(Optional)

To search resources by its current state.

Allowed Values :
Show Values
trashedCopied!
Copied!Copy all as JSON Array
page[limit]string(Optional)

Page limit refers to the total page results you need to view using the API response. A single page contains 50 results (files and/or folders).

For example: Page[200]

Note:
Maximum pages you can set is 1000.

page[offset]string(Optional)

Offset indicates from where the listing should start

sortstring(Optional)

Sorting can be done with these fields: name, kind, shared_time, last_modified, created_time. To sort in descending order, prefix the field value with a hyphen (-).

Allowed Values :
Show Values
nameCopied!
kindCopied!
shared_timeCopied!
last_modifiedCopied!
created_timeCopied!
-nameCopied!
-kindCopied!
-shared_timeCopied!
-last_modifiedCopied!
-created_timeCopied!
Copied!Copy all as JSON Array

Response Example

R008

R602

R602

R015

R016

F7004

F000

R606

U043

I005

R605

200
200
401
500
Copied!
  {
    "data": [
      {
        "relationships": {
          "folders": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/folders",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/folders"
            }
          },
          "comments": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/comments",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/comments"
            }
          },
          "previewinfo": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/previewinfo",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/previewinfo"
            }
          },
          "unzip": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/unzip",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/unzip"
            }
          },
          "publiclink": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/publiclink",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/publiclink"
            }
          },
          "resourceproperty": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/resourceproperty",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/resourceproperty"
            }
          },
          "parentfolders": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/parentfolders",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/parentfolders"
            }
          },
          "shortcut": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/shortcut",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/shortcut"
            }
          },
          "importfile": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/importfile",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/importfile"
            }
          },
          "versions": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/versions",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/versions"
            }
          },
          "supportshare": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/supportshare",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/supportshare"
            }
          },
          "permissions": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/permissions",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/permissions"
            }
          },
          "timeline": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/timeline",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/timeline"
            }
          },
          "files": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/files",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/files"
            }
          },
          "saveastemplate": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/saveastemplate",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/saveastemplate"
            }
          },
          "links": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/links",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/links"
            }
          },
          "copy": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/copy",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/copy"
            }
          },
          "previewzip": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/previewzip",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/previewzip"
            }
          },
          "tasks": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/tasks",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/tasks"
            }
          },
          "breadcrumbs": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/breadcrumbs",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/breadcrumbs"
            }
          },
          "entity": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/entity",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/entity"
            }
          },
          "custommetadata": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/custommetadata",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/custommetadata"
            }
          },
          "statistics": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/statistics",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/statistics"
            }
          },
          "appdata": {
            "links": {
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/appdata",
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236/relationships/appdata"
            }
          }
        },
        "attributes": {
          "modified_by_zuid": "747938014",
          "is_locked": false,
          "conv_engine_type": 0,
          "is_fillable_resource": false,
          "is_published": false,
          "destination_id": "ly9zme5724e019a8e4cb48632945b1296be0a",
          "storage_info": {
            "files_count": 0,
            "size_in_bytes": 0,
            "folders_count": 0,
            "storage_used_in_bytes": 0
          },
          "team_id": "ly9zmae16b43c258f458a9a57ac02c4f8d763",
          "type": "folder",
          "created_time_i18": "Apr 13, 12:25 PM",
          "modified_time_in_millisecond": 1618296919142,
          "opened_time": "Apr 13, 12:25 PM",
          "status_change_time": "Apr 13, 12:25 PM",
          "download_url": "https://www.zohoapis.com/workdrive/download/cjrrr81bad43595d94a5bbbb4ea1589ef9236",
          "comment_badge_count": 0,
          "is_app_associated": false,
          "created_time": "Apr 13, 12:25 PM",
          "lock_status": 2,
          "is_folder": true,
          "resource_type": 1001,
          "is_email_in_upload": false,
          "display_attr_name": "Notes",
          "created_by": "Zylker Creation",
          "display_html_name": "Notes",
          "labels": [],
          "parent_id": "ly9zme5724e019a8e4cb48632945b1296be0a",
          "name": "Notes",
          "status_change_time_in_millisecond": 1618296919142,
          "permalink": "https://www.zohoapis.com/workdrive/folder/cjrrr81bad43595d94a5bbbb4ea1589ef9236",
          "favorite": false,
          "new_badge_count": 0,
          "status": 1,
          "modified_time_i18": "Apr 13, 12:25 PM",
          "opened_time_i18": "Apr 13, 12:25 PM",
          "extn": "",
          "view_pref": {
            "layout": "list",
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all"
          },
          "shortcut_link": "",
          "status_change_time_i18": "Apr 13, 12:25 PM",
          "description": "",
          "uploaded_time_in_millisecond": 1618296919146,
          "thumbnail_url": "",
          "title": "",
          "files_view_pref": {
            "layout": "list",
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all"
          },
          "modified_time": "Apr 13, 12:25 PM",
          "library_id": "ly9zme5724e019a8e4cb48632945b1296be0a",
          "icon_class": "folder",
          "created_time_in_millisecond": 1618296919142,
          "owner": "747937818",
          "creator": "747938014",
          "uploaded_time_i18": "Apr 13, 12:25 PM",
          "is_external_upload": false,
          "watch_preference": {
            "notifyemail": false,
            "watch": false,
            "notifybell": false
          },
          "opened_time_in_millisecond": 1618296919142,
          "edit_badge_count": 0,
          "share_data": [],
          "uploaded_time": "Apr 13, 12:25 PM",
          "has_folders": false,
          "service_type": "upload",
          "display_url_name": "Notes",
          "is_unread": false,
          "modified_by": "Zylker Creation",
          "embed_props": {}
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/files/cjrrr81bad43595d94a5bbbb4ea1589ef9236"
        },
        "id": "cjrrr81bad43595d94a5bbbb4ea1589ef9236",
        "type": "files"
      }
    ],
    "meta": {
      "search_result_count": 1
    }
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R602",
        "title": "Invalid parent Id"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R015",
        "title": "Invalid TeamFolder Id"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R016",
        "title": "User is not part of the TeamFolder"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7004",
        "title": "Invalid OAuth scope"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R606",
        "title": "Invalid team Id"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U043",
        "title": "Invalid ZUID"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "I005",
        "title": "Invalid Org Id"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R605",
        "title": "Invalid Template Category"
      }
    ]
  }
                
Show full